from parallels.core.utils.message_utils import single_line_message
from parallels.core.utils.message_utils import multi_line_message

SUBSCRIPTION_ALREADY_EXISTS_IN_TARGET = single_line_message("""
	# %s # already exists in the target panel
""")
CLIENT_SUBSCRIPTION_IS_NOT_PRESENT_ON_SOURCE = single_line_message("""
	Line %s: client subscription '%s' is not present on source Plesks
""")
MIGRATION_LIST_HEADER = multi_line_message("""
	# List subscriptions to migrate in this file.
	# If you don't want to migrate a subscription either remove it from this file, or comment out with "#".
""")
SUBSCRIPTION_DOES_NOT_BELONG_TO_PLESK_USER = single_line_message("""
	Line %s: subscription '%s' does not belong to any Plesk user listed in PBAS data file
""")
UNABLE_TO_TRANSFER_SUBSCRIPTION_CUSTOMER_DOES_NOT_EXIST_IN_PPA = single_line_message("""
	Unable to transfer subscription '%s', as destination customer account with login '%s' does not exist in PPA.
""")
CREATE_PPA_CUSTOMER_ACCOUNT = single_line_message("""
	Create PPA customer account with this login.
""")
ALREADY_EXISTS_IN_PPA = single_line_message("""
	A %s '%s' already exists in PPA within the '%s' subscription
""")
SUBSCRIPTION_ALREADY_EXISTS_ON_OTHER_SERVER = single_line_message("""
	A subscription '%s' already exists on the other server '%s'
""")
SUBSCRIPTION_WILL_BE_OVERWRITTEN = single_line_message("""
	The existing subscription in PPA will be overwritten (including hosting settings, site content, databases, and so
	on).  If you want to transfer the subscription into a separate one, rename one of the subscriptions.
""")
CHANGE_CONFLICTING_NAMES = single_line_message("""
	Either change the conflicting names, or exclude this subscription from transfer using the migration list file.
""")
RENAME_SUBSCRIPTION_OR_EXCLUDE = single_line_message("""
	Either rename this subscription or the %s '%s' or exclude this subscription from transfer using the migration list
	file.
""")
SKIP_SUBSCRIPTION_ACCORDING_TO_MIGRATION_LIST = single_line_message("""
	Skip subscription '%s', it is omitted in migration list
""")
RENAME_ONE_SUBSCRIPTION_OR_EXCLUDE = single_line_message("""
	Either rename one of the subscriptions (if you want to transfer both of them) or exclude one of the subscriptions
	from the migration list file.
""")
ADD_PLESK_SERVER_WITH_ACCOUNT = single_line_message("""
	Either add the Plesk server where this account exists into the migration tool's configuration file, or exclude the
	corresponding PBAS account from transfer.
""")
ACCOUNT_DOES_NOT_EXIST = single_line_message("""
	Account with login '%s' does not exist on Plesk servers specified in migration tool's configuration. Any
	subscriptions of this account will not be transferred.
""")
ALREADY_EXISTS_OTHER_SERVER = single_line_message("""
	A %s '%s' already exists on the other server within the '%s' subscription
""")
SUBSCRIPTION_ALREADY_EXISTS_IN_PPA_FOR_OTHER_CUSTOMER = single_line_message("""
	The subscription '%s' already exists in PPA but belongs to the other customer '%s'
""")
SUBSCRIPTION_ALREADY_EXISTS_IN_PPA = single_line_message("""
	The subscription '%s' already exists in PPA
""")
UNABLE_TO_TRANSFER_AUXILIARY_USER = single_line_message("""
	Unable to transfer auxiliary user '%s', as destination customer account with login '%s' does not exist in PPA.
""")
PBAS_MIGRATOR_DOES_NOT_SUPPORT_IMPORT_RESELLERS = single_line_message("""
	PBAS migrator does not support import-resellers command. Please create and configure resellers on PPA. Then create
	migration list file with 'generate-migration-list' command and run 'transfer-accounts' command to transfer
	subscriptions from PBAS to PPA.
""")
